﻿using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Threading.Tasks;
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;
namespace Chart_GettingStarted
{
    public class ViewModel : INotifyPropertyChanged
    {

        private ObservableCollection<ChartDataPoint> data;

        public ObservableCollection<ChartDataPoint> Data
        {
            get { return data; }
            set
            {
                if (data != value)
                {
                    data = value;

                    PropertyChanged?.Invoke(this, new PropertyChangedEventArgs("Data"));
                }
            }
        }

        DateTime Date = DateTime.Now;
        private ObservableCollection<ChartDataPoint> _data;

        public event PropertyChangedEventHandler PropertyChanged;

        public ViewModel()
        {

        }

        public void getData()
        {
            Data = new ObservableCollection<ChartDataPoint>();
            Random random = new Random();

            for (int i = 0; i < 15; i++)
            {
                Data.Add(new ChartDataPoint(Date, random.Next(10, 70)));
                Date = Date.AddDays(1);
            }
        }
    }


}